Bug 1431745 - Review Request: golang-github-cznic-lldb - Low-level database engine implementation in Go
Summary: Review Request: golang-github-cznic-lldb - Low-level database engine implemen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1246526 1431587 1431732 1431735 1431740 1431743
Blocks: 1431748
TreeView+ depends on / blocked
 
Reported: 2017-03-13 16:51 UTC by Fabio Valentini
Modified: 2017-07-25 00:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-24 19:21:00 UTC
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-03-13 16:51:58 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-lldb.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-lldb-1.1.0-1.fc25.src.rpm

Description: Low-level database engine implementation in Go

Fedora Account System Username: decathorpe


This package is one of the (indirect) dependencies of syncthing. I can't provide a koji scratch build yet, since it depends on golang-github-cznic-{mathutil,fileutil,sortutil,internal,zappy}.

Additional comment: Since the "internal" package is in another GOPATH, "go test" complains. To run the tests, I copied all required stuff to a temporary "testroot" directory (comments are in the .spec file too).

Comment 1 Fabio Valentini 2017-07-05 14:08:38 UTC
koji scratch build on rawhide, as all dependencies are available now:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20341906

Comment 2 Athos Ribeiro 2017-07-08 15:58:54 UTC
Hi Fabio, I am taking this one!

- testdata contains a file licensed under the Lucent Public License. This is an accepted license in the project. Upstream does ship the license text for that file, which is included in the sources Fedora will ship. Since the file is not included in the binary devel package, I do believe we do not need to ship such license in that one. But the unit tests package does ship the file, so it would be nice to have its license there.

- changelog version-release is different from actual package version-release.

- I did not get why the hacking on the GOPATH for %check was necessary, since cznic/internal is also being installed. Won't appending the buildroot path to the GOPATH, as gofed does, do the trick (export GOPATH=%{buildroot}/%{gopath}:%{gopath})?

I will trust you will ship the license in the unit tests package and fix the changelog issue before importing this package, thus, I will not block the review :)

Approved.

PS: As a follow up on the review swap email, if you want to review any of my packages, I'd love to have you take a look at https://bugzilla.redhat.com/show_bug.cgi?id=1433757

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-cznic-lldb-devel-1.1.0-1.fc27.noarch.rpm
          golang-github-cznic-lldb-unit-test-devel-1.1.0-1.fc27.x86_64.rpm
          golang-github-cznic-lldb-1.1.0-1.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-cznic-lldb-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-cznic-lldb-devel

golang-github-cznic-lldb-devel (rpmlib, GLIBC filtered):
    golang(github.com/cznic/fileutil)
    golang(github.com/cznic/internal/buffer)
    golang(github.com/cznic/internal/file)
    golang(github.com/cznic/mathutil)
    golang(github.com/cznic/sortutil)
    golang(github.com/cznic/zappy)



Provides
--------
golang-github-cznic-lldb-unit-test-devel:
    golang-github-cznic-lldb-unit-test-devel
    golang-github-cznic-lldb-unit-test-devel(x86-64)

golang-github-cznic-lldb-devel:
    golang(github.com/cznic/lldb)
    golang-github-cznic-lldb-devel



Source checksums
----------------
https://github.com/cznic/lldb/archive/bea8611dd5c407f3c5eab9f9c68e887a27dc6f0e/cznic-lldb-bea8611.tar.gz :
  CHECKSUM(SHA256) this package     : f8724b6d7688c37fd545dc7ddc6019fb29efd2e9d580fce4cb4b72c51c96fb73
  CHECKSUM(SHA256) upstream package : f8724b6d7688c37fd545dc7ddc6019fb29efd2e9d580fce4cb4b72c51c96fb73

Comment 3 Fabio Valentini 2017-07-08 17:15:24 UTC
Thanks for looking at this package! I've assigned your review request to me, and I'll look at it today or tomorrow!


I'll include the additional license file in the -unit-test subpackage, and I've already fixed the bogus version in the changelog entry - good catch!

And it seems I explained the reason for the special handling of the tests poorly ... the go compiler treats packages with the name "internal" in a special way and only allows them to be imported from within the same "project root" - so appending to the $GOPATH as usual doesn't work :)

Comment 4 Gwyn Ciesla 2017-07-09 00:51:58 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-cznic-lldb

Comment 5 Fedora Update System 2017-07-14 15:41:28 UTC
golang-github-cznic-lldb-1.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64d943080f

Comment 6 Fedora Update System 2017-07-15 21:21:00 UTC
golang-github-cznic-lldb-1.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e6526c32d

Comment 7 Fedora Update System 2017-07-15 21:51:41 UTC
golang-github-cznic-lldb-1.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-876d19bc9c

Comment 8 Fedora Update System 2017-07-16 21:20:41 UTC
golang-github-cznic-lldb-1.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64d943080f

Comment 9 Fedora Update System 2017-07-24 19:21:00 UTC
golang-github-cznic-lldb-1.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-07-24 22:49:51 UTC
golang-github-cznic-lldb-1.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-07-25 00:23:48 UTC
golang-github-cznic-lldb-1.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.